Module | ActionController::Caching
In: | lib/action_controller/caching/actions.rb lib/action_controller/caching/fragments.rb lib/action_controller/caching/pages.rb lib/action_controller/caching/sql_cache.rb lib/action_controller/caching/sweeping.rb lib/action_controller/caching.rb

Caching is a cheap way of speeding up slow applications by keeping the result of calculations, renderings, and database calls around for subsequent requests. Action Controller affords you three approaches in varying levels of granularity: Page, Action, Fragment.

You can read more about each approach and the sweeping assistance by clicking the modules below.

Note: To turn off all caching and sweeping, set Base.perform_caching = false.

## Caching stores

All the caching stores from ActiveSupport::Cache is available to be used as backends for Action Controller caching. This setting only affects action and fragment caching as page caching is always written to disk.

Configuration examples (MemoryStore is the default):

      ActionController::Base.cache_store = :memory_store
      ActionController::Base.cache_store = :file_store, "/path/to/cache/directory"
      ActionController::Base.cache_store = :drb_store, "druby://localhost:9192"
      ActionController::Base.cache_store = :mem_cache_store, "localhost"
      ActionController::Base.cache_store = MyOwnStore.new("parameter")

### Methods

cache cache_configured? cache_store=

### Included Modules

Pages Actions Fragments Sweeping SqlCache

### Classes and Modules

Module ActionController::Caching::Actions
Module ActionController::Caching::Fragments
Module ActionController::Caching::Pages
Module ActionController::Caching::SqlCache
Module ActionController::Caching::Sweeping

### Public Class methods

cache_configured?()
cache_store=(store_option)

Defines the storage option for cached fragments

### Protected Instance methods

cache(key, options = {}) {|| ...}

Convenience accessor

[Validate]